﻿@using SectorTree.Models
@model SectorTreeViewModel
@{
    ViewBag.Title = "Add Users with sectors";
}

@using (Html.BeginForm("Save", "Home", null, FormMethod.Post, new { @class = "needs-validation", novalidate = "novalidate" }))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(model => model.AppUserId)
    <h4>Please enter your name and pick the Sectors you are currently involved in.</h4>
    <hr />
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })

    <div class="form-group">
        @Html.TextBoxFor(model => model.UserName, new { @class = "form-control", placeholder = "Name", required="required" })
        @Html.ValidationMessageFor(model => model.UserName, "", new { @class = "text-danger" })
        <div class="valid-feedback">
            Looks good!
        </div>
        <div class="invalid-feedback">
            Enter name!
        </div>
        
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.SelectedSectors, htmlAttributes: new { @class = "control-label" })
        @Html.ListBoxFor(model => model.SelectedSectors, Model.Sectors, new { size = 10, @class = "form-control", required="required" })
        @Html.ValidationMessageFor(model => model.SelectedSectors, "", new { @class = "text-danger" })
        <div class="invalid-feedback">
            Choose at least one!
        </div>
    </div>

    <div class="form-group">
        <div class="form-check">
            @Html.CheckBoxFor(model => model.isAgreeToTerms, new { @class = "form-check-input", required="required" })
            @Html.LabelFor(model => model.isAgreeToTerms, htmlAttributes: new { @class = "form-check-label" })
            @Html.ValidationMessageFor(model => model.isAgreeToTerms, "", new { @class = "text-danger" })
            <div class="invalid-feedback">
                Agree before submitting.
            </div>
        </div>
    </div>

    <div class="form-group">
        <input type="submit" value="Save" class="btn btn-primary" />
    </div>
}

@ViewBag.Message
<!-- Upload form for sector categories for testing purposesklj -->
@using (Html.BeginForm("UploadFile", "Home", FormMethod.Post, new { @class = "needs-validation", novalidate = "novalidate", enctype = "multipart/form-data" }))
{
    <hr />
    <h4>Upload Sectors File (Testimiseks tühja andmebaasi korral)</h4>

    <div class="form-group">
        <div class="custom-file">
            <input type="file" class="custom-file-input" name="file" required>
            <label class="custom-file-label" for="uploadFile">Choose File</label>
        </div>
    </div>
    <div class="form-group">
        <input class="btn btn-primary" type="submit" value="Upload to database" />
    </div>
}

<!-- scripts for client-side validation using Bootstrap -->
@section Scripts {
    <script>
        // Example starter JavaScript for disabling form submissions if there are invalid fields
        (function () {
            'use strict';
            window.addEventListener('load', function () {
                // Fetch all the forms we want to apply custom Bootstrap validation styles to
                var forms = document.getElementsByClassName('needs-validation');
                // Loop over them and prevent submission
                var validation = Array.prototype.filter.call(forms, function (form) {
                    form.addEventListener('submit', function (event) {
                        if (form.checkValidity() === false) {
                            event.preventDefault();
                            event.stopPropagation();
                        }
                        form.classList.add('was-validated');
                    }, false);
                });
            }, false);
        })();
    </script>

    <script>
        $(".custom-file-input").on("change", function () {
            var fileName = $(this).val().split("\\").pop();
            $(this).siblings(".custom-file-label").addClass("selected").html(fileName);
        });
    </script>
}